Bug 517474 - /sbin/dhclient has lots of library dependencies
Summary: /sbin/dhclient has lots of library dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 09:10 UTC by Harald Hoyer
Modified: 2009-08-15 01:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 01:25:40 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2009-08-14 09:10:53 UTC
F-11
====

$ ldd /sbin/dhclient
	linux-vdso.so.1 =>  (0x00007fffb8d91000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003aad000000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003aacc00000)


F-12
=====

$ ldd /sbin/dhclient
	linux-gate.so.1 =>  (0x00ad3000)
	libldap-2.4.so.2 => /usr/lib/libldap-2.4.so.2 (0x00ae0000)
	libc.so.6 => /lib/libc.so.6 (0x007ad000)
	liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0x00385000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00110000)
	libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x009f6000)
	libgssapi_krb5.so.2 => /lib/libgssapi_krb5.so.2 (0x03892000)
	libssl.so.8 => /usr/lib/libssl.so.8 (0x038c2000)
	libcrypto.so.8 => /usr/lib/libcrypto.so.8 (0x03717000)
	/lib/ld-linux.so.2 (0x00789000)
	libdl.so.2 => /lib/libdl.so.2 (0x00956000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x002e9000)
	libkrb5.so.3 => /lib/libkrb5.so.3 (0x035dd000)
	libk5crypto.so.3 => /lib/libk5crypto.so.3 (0x036ea000)
	libcom_err.so.2 => /lib/libcom_err.so.2 (0x0076a000)
	libkrb5support.so.0 => /lib/libkrb5support.so.0 (0x03698000)
	libkeyutils.so.1 => /lib/libkeyutils.so.1 (0x00f92000)
	libz.so.1 => /lib/libz.so.1 (0x0024e000)
	libfreebl3.so => /lib/libfreebl3.so (0x00129000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0095d000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x00f4f000)

Comment 1 Harald Hoyer 2009-08-14 09:16:30 UTC
/sbin/dhclient
=====================
needed: libc.so.6, libpthread.so.0
unneeded: libcom_err.so.2, libcrypt.so.1, libcrypto.so.8, libdl.so.2, libfreebl3.so, libgssapi_krb5.so.2, libk5crypto.so.3, libkeyutils.so.1, libkrb5.so.3, libkrb5support.so.0, liblber-2.4.so.2, libldap-2.4.so.2, libresolv.so.2, libsasl2.so.2, libselinux.so.1, libssl.so.8, libz.so.1

Comment 2 Harald Hoyer 2009-08-14 09:23:38 UTC
 CFLAGS="-Wl,--as-needed" helps

Comment 3 David Cantrell 2009-08-14 21:08:56 UTC
This is caused by a goof in my configure.ac patch in the ldap-for-dhcp patch.  $(LIBS) is getting -lldap -lcrypto and everything binary in dhcp is linking with those.  Ooops.  dhcpd should be the only one linking with ldap and crypto.

I'll get this fixed up.  Thanks for the report.

Comment 4 David Cantrell 2009-08-15 01:25:40 UTC
Fixed in dhcp-4.1.0p1-4.fc12


Note You need to log in before you can comment on or make changes to this bug.